#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 streaming-commons
version:              0.2.2.5
visibility:           public
id:                   streaming-commons-0.2.2.5-G3X6zVmjVKDLC6KrgMvQwb
key:                  streaming-commons-0.2.2.5-G3X6zVmjVKDLC6KrgMvQwb
license:              MIT
maintainer:           michael@snoyman.com
author:               Michael Snoyman, Emanuel Borsboom
homepage:             https://github.com/fpco/streaming-commons
synopsis:
    Common lower-level functions needed by various streaming data libraries

description:
    Provides low-dependency functionality commonly needed by various streaming data libraries, such as conduit and pipes.

category:             Data
abi:                  73a7715a62a9dffec34a55bca211d788
exposed:              True
exposed-modules:
    Data.Streaming.ByteString.Builder
    Data.Streaming.ByteString.Builder.Buffer Data.Streaming.FileRead
    Data.Streaming.Filesystem Data.Streaming.Network
    Data.Streaming.Network.Internal Data.Streaming.Process
    Data.Streaming.Process.Internal Data.Streaming.Text
    Data.Streaming.Zlib Data.Streaming.Zlib.Lowlevel

import-dirs:          /usr/lib/ghc-9.0.2/site-local/streaming-commons-0.2.2.5
library-dirs:         /usr/lib/ghc-9.0.2/site-local/streaming-commons-0.2.2.5
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-streaming-commons
hs-libraries:         HSstreaming-commons-0.2.2.5-G3X6zVmjVKDLC6KrgMvQwb
depends:
    array-0.5.4.0 async-2.2.4-C85j38bYBD37Hm4c2dTf3o base-4.15.1.0
    bytestring-0.10.12.1 directory-1.3.6.2
    network-3.1.2.7-2XXJjcz0IvlHZvXDc3Kqfu process-1.6.13.2
    random-1.2.1.1-62gNaR7hV5GrFaw62yuwL stm-2.5.0.0 text-1.2.5.0
    transformers-0.5.6.2 unix-2.7.2.2
    zlib-0.6.3.0-GBT0TfMJfjJEB6x9cLCP2e

haddock-interfaces:
    /usr/share/doc/haskell-streaming-commons/html/streaming-commons.haddock

haddock-html:         /usr/share/doc/haskell-streaming-commons/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

